cURL
curl --request PATCH \
--url https://api.unize.org/v1/storage/{graph_id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"graph_name": "<string>"
}
'import requests
url = "https://api.unize.org/v1/storage/{graph_id}/"
payload = { "graph_name": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({graph_name: '<string>'})
};
fetch('https://api.unize.org/v1/storage/{graph_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"graph_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"last_graph_merge": {
"timestamp": "2023-11-07T05:31:56Z",
"extraction_criteria_truncated": "<string>",
"client_display_error": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
},
"graph_name": "<string>"
}General Endpoints
Rename Graph
Rename a knowledge graph
PATCH
/
v1
/
storage
/
{graph_id}
/
cURL
Authorizations
Send the API generated from the Playground:
Authorization: <api_key>
Path Parameters
The graph_id of the knowledge graph to be renamed. A graph_id is an alphanumeric string that uniquely identifies a knowledge graph.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
The new name for the knowledge graph.
Response
200 - application/json
The graph_id of the knowledge graph.
The date and time of the last operation executed on the knowledge graph.
Details about the most recent operation for this particular knowledge graph.
Show child attributes
Show child attributes
The name of the knowledge graph.
⌘I